"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.generateLanguagesTable = void 0;
const requests_1 = require("./rendering/requests");
const icon_request_1 = require("./rendering/icon-request");
const LANGUAGES_TABLE_WIDTH = 5;
async function generateLanguagesTable(languages) {
    const result = [];
    result.push("<table>");
    const remaining = [...languages];
    while (remaining.length > 0) {
        const row = remaining.splice(0, LANGUAGES_TABLE_WIDTH);
        while (row.length < LANGUAGES_TABLE_WIDTH) {
            row.push(null);
        }
        result.push("  <tr>");
        for (const language of row) {
            if (language) {
                const iconUrl = requests_1.addRequest(new icon_request_1.IconRenderingRequest(language.id));
                result.push(`    <td>`);
                result.push(`      <img src="${iconUrl}" height="${icon_request_1.ICON_SIZE}" width="${icon_request_1.ICON_SIZE}" />`);
                result.push(`      <span>  </span>`);
                result.push(`      <code>${language.id}</code>`);
                result.push(`    </td>`);
            }
            else {
                result.push(`    <td></td>`);
            }
        }
        result.push("  </tr>");
    }
    result.push("</table>");
    return result.join("\n");
}
exports.generateLanguagesTable = generateLanguagesTable;
//# sourceMappingURL=languages.js.map