"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.generateThemesTable = void 0;
const src_1 = require("../../src");
const requests_1 = require("./rendering/requests");
const terminal_request_1 = require("./rendering/terminal-request");
const EXAMPLES_WIDTH = 50;
const EXAMPLES_MARGIN = undefined;
function generateThemesTable(themes) {
    const result = [
        // table header
        "| ID | Name | Example |",
        "| -- | ---- | --------- |",
    ];
    for (const { id, label, variation } of themes) {
        const key = requests_1.addRequest(new terminal_request_1.TerminalRenderingRequest(id, () => src_1.highlightSource({
            source: `// This is a ${variation} theme\nexpect(vscat).toBeAwesome();`,
            width: EXAMPLES_WIDTH,
            languageIdOrPath: "typescript",
            themeIdOrPath: id,
        }), EXAMPLES_MARGIN));
        result.push(`| \`${id}\` | ${label} | ![](${key}) |`);
    }
    return result.join("\n");
}
exports.generateThemesTable = generateThemesTable;
//# sourceMappingURL=themes.js.map