"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs_extra_1 = require("fs-extra");
const language_detection_1 = require("../../../src/languages/language-detection");
const highlight_source_1 = require("../../../src/highlighting/highlight-source");
const utils_1 = require("../utils");
const create_suite_1 = require("../create-suite");
create_suite_1.createHighlightingTestSuite(__dirname, async ({ testDir, themeId, languageId }) => {
    const sourcePath = await utils_1.resolveSourceFile(testDir, "source");
    const source = await fs_extra_1.readFile(sourcePath, "utf8");
    expect(languageId).toEqual(await language_detection_1.detectLanguage(sourcePath, source));
    const lines = await highlight_source_1.highlightSource({
        source,
        width: utils_1.TESTS_WIDTH,
        languageIdOrPath: languageId,
        themeIdOrPath: themeId,
    });
    return {
        lines,
        sources: [source],
    };
});
//# sourceMappingURL=sources.test.js.map